package com.engine.organization.web;

import com.engine.common.util.ServiceUtil;
import com.engine.organization.entity.config.params.QTXConfigParam;
import com.engine.organization.service.ConfigService;
import com.engine.organization.service.impl.ConfigServiceImpl;
import weaver.hrm.HrmUserVarify;
import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.QueryParam;
import javax.ws.rs.core.Context;
import java.io.IOException;

/**
 * @Author liang.cheng
 * @Date 2023/8/18 2:29 PM
 * @Description: 配置入口
 * @Version 1.0
 */
public class ConfigController {


    public ConfigService getConfigService(User user) {
        return ServiceUtil.getService(ConfigServiceImpl.class,user);
    }




    @GET
    @Path("/ssoLogin")
    public void ssoLogin(@Context HttpServletRequest request, @Context HttpServletResponse response,
                               @QueryParam("type") String type,@QueryParam("domainIndex") String domainIndex,@QueryParam("whole") String whole) throws IOException {
        User user = HrmUserVarify.getUser(request, response);
        QTXConfigParam qtxConfigParam = QTXConfigParam.builder().loginId(user.getLoginid()).type(type).domainIndex(domainIndex).whole(whole)
                .userAgent(request.getHeader("user-agent")).build();
        String url = getConfigService(user).ssoLogin(qtxConfigParam);
        response.sendRedirect(url);
    }
}
